- Qt 5.3
- Qt Multimedia
- C++ Classes
- QMediaVideoProbeControl
- Qt 5.3.2 Reference Documentation

# QMediaVideoProbeControl Class

The QMediaVideoProbeControl class allows control over probing video frames in media objects. More...

Header: | `#include <QMediaVideoProbeControl>`
qmake: | `QT += multimedia`
Inherits: | QMediaControl.

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaVideoProbeControl()

## Signals

void | flush()
void | videoFrameProbed(const QVideoFrame & frame)

## Protected Functions

| QMediaVideoProbeControl(QObject * parent = 0)

## Macros

| QMediaVideoProbeControl_iid

## Detailed Description

The QMediaVideoProbeControl class allows control over probing video frames in media objects.

QVideoProbe is the client facing class for probing video - this class is implemented by media backends to provide this functionality.

The interface name of QMediaVideoProbeControl is `org.qt-project.qt.mediavideoprobecontrol/5.0` as defined in QMediaVideoProbeControl_iid.

See also QVideoProbe, QMediaService::requestControl(), QMediaPlayer, and QCamera.

## Member Function Documentation

### QMediaVideoProbeControl::QMediaVideoProbeControl(QObject * parent = 0)`[protected]`

Create a new media video probe control object with the given parent.

### QMediaVideoProbeControl::~QMediaVideoProbeControl()`[virtual]`

Destroys this video probe control

### void QMediaVideoProbeControl::flush()`[signal]`

This signal should be emitted when it is required to release all frames.

### void QMediaVideoProbeControl::videoFrameProbed(const QVideoFrame & frame)`[signal]`

This signal should be emitted when a video frame is processed in the media service.

## Macro Documentation

### QMediaVideoProbeControl_iid

`org.qt-project.qt.mediavideoprobecontrol/5.0`

Defines the interface name of the QMediaVideoProbeControl class.